#
# spec file for package gstreamer010-plugins-base (Version 0.10.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel SDL aaa_base aalib acl alsa alsa-devel atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdparanoia check coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gpm grep groff gstreamer010 gstreamer010-devel gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv iso_ent klogd krb5 less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc libgcrypt libgpg-error libjpeg libnscd libogg libogg-devel liboil liboil-devel libpng libpng-devel libstdc++ libtheora libtheora-devel libtool libusb libvisual libvisual-devel libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-devel python-xml pyxml rcs readline resmgr rpm sed sgml-skel slang strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux valgrind vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gstreamer010-plugins-base
BuildRequires:  alsa-devel cdparanoia gnome-vfs2-devel gstreamer010-devel gtk2-devel gtkdoc krb5 liboil-devel libtheora-devel libvisual-devel libvorbis-devel python-devel pyxml sgml-skel update-desktop-files
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
%define _name gst-plugins-base
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        0.10.5
Release:        11.2
%define gst_branch 0.10
Source:         %{_name}-%{version}.tar.bz2
URL:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Obsoletes:      gstreamer-plugin-libs
%if %suse_version > 1000
Enhances:     gstreamer010
%endif
PreReq:         filesystem
Requires:       gstreamer010 = %(rpm -q --queryformat '%{VERSION}' gstreamer010)

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%debug_package
%package devel
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version} gstreamer010-devel
Autoreqprov:    on

%description devel
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package doc
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Autoreqprov:    on

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package oil
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Autoreqprov:    on

%description oil
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package visual
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Autoreqprov:    on

%description visual
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%define _prefix  /opt/gnome
%define _bindir  %_prefix/bin
%define _mandir  %_prefix/share/man
%define _infodir %_prefix/share/info
%define _sysconfdir /etc%_prefix
%define _localstatedir /var%_prefix
%define _libdir  %_prefix/%_lib
%define _includedir %_prefix/include
%prep
%setup -n %{_name}-%{version}

%build
%{?suse_update_config:%{suse_update_config}}
NOCONFIGURE=1 ./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --sysconfdir=%{_sysconfdir} \
    --localstatedir=%{_localstatedir} \
    --enable-cdparanoia \
    --enable-gtk-doc \
    --enable-dependency-tracking \
    --enable-tests
make %{?jobs:-j %jobs}

%install
make -i install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_branch}/*.*a
gzip -9nf $RPM_BUILD_ROOT%{_mandir}/man?/*.?
%find_lang %{_name}-%{gst_branch}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %{_name}-%{gst_branch}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%doc %{_mandir}/man1/*.*
%{_libdir}/lib*.so.*
%{_libdir}/gstreamer-%{gst_branch}/libgstadder.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalsa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstffmpegcolorspace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgnomevfs.so
%{_libdir}/gstreamer-%{gst_branch}/libgstogg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpango.so
%{_libdir}/gstreamer-%{gst_branch}/libgstplaybin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttcp.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttheora.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvolume.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvorbis.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvimagesink.so

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{gst_branch}
%{_prefix}/%_lib/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_libdir}/lib*.*a

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-base-libs-%{gst_branch}
%{_prefix}/share/gtk-doc/html/gst-plugins-base-plugins-%{gst_branch}

%files oil
%defattr(-, root, root)
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioresample.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoscale.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideotestsrc.so

%files visual
%defattr(-, root, root)
%{_bindir}/gst-visualise-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgstlibvisual.so

%changelog -n gstreamer010-plugins-base
* Sat Apr 08 2006 - jpr@suse.de
- Split out libvisual dependent plugin/app into a separate package
* Fri Apr 07 2006 - jpr@suse.de
- Split out oil dependent plugins into a separate package
* Fri Mar 24 2006 - jpr@suse.de
- Update to version 0.10.5
- Changes since 0.10.4:
  * 334216 : [gnomevfssrc] won't open some media on NFS mounts any longer
  * 334226 : typefindfunctions plugin crashes on PPC on registration
* Mon Mar 20 2006 - schwab@suse.de
- Fix uninitialized pointer.
* Fri Mar 10 2006 - jpr@suse.de
- update to version 0.10.4
- Changes since 0.10.3:
  * (Experimental) QoS support
  * oggmuxer now creates 100%% valid streams for Theora, Vorbis and Speex
  * documentation updates
  * better support for subtitles (seeking)
  Bugs fixed since 0.10.3:
  * 310202 : [subtitles] < i >  < /i > tags and others should be supported i...
  * 312439 : XVideo output doesn't work on remote displays (probably r...
  * 321271 : audio output is truncated at EOS
  * 321650 : Can't decode this ogm file
  * 325732 : [oggdemux] problem when seeking to time less than 4s with...
  * 325972 : [typefinding] doesn't recognise this mp3
  * 326720 : [alsasink] doesn't support more than 2 channels anymore
  * 330711 : [ffmpegcolorspace] problems with palettized RGB (fencount...
  * 330789 : gstbaseaudiosink causes noise on seeking
  * 330888 : Fix build with gcc 2.95 (again)
  * 331295 : gnomevfssink doesn't respect umask when creating files
  * 331526 : 3GP type detection is too simple
  * 331678 : Decodebin is not reusable within a single pipeline (as in...
  * 331690 : playbin won't play my last.fm stream
  * 331763 : [alsamixer] unmute sets the volume to 100%
  * 331765 : [alsamixer] mixer applet slider doesn't want to move from...
  * 331903 : [videorate] doesnt handle input caps of framerate=0/1 sanely
  * 332778 : [ogmparse] " Already an existing pad " WARNING
  * 332964 : random crashes in mp3_type_find
  * 333254 : theora encoder does not set IN_CAPS flag properly
  * 333352 : [gnomevfssink] reports disk full as generic error
  * 333488 : Allow for palette < 256 colours in AVI files
  * 333510 : [PATCH] Fix gst_pad_new_from_template (gst_static_pad_tem...
  * 333545 : [riff] set depth on wma caps to make asfdemux and pitfdll...
  * 333663 : [patch] unref the result of gst_pad_get_parent
  * 333900 : [typefind] cannot play a particular mp3 file
  * 334112 : variable not initialized
  * 334129 : Disable frame dropping for now
  * 317038 : use default channel layout if none is specified in multic...
  * 319340 : [cdparanoia] uncorrected-error signal never fired
* Thu Feb 23 2006 - jpr@suse.de
- update to version 0.10.3
- Changes since 0.10.2:
  * typefind improvements
  * Ogg decoding and encoding fixes
  * Improved audio and video sink classes
  * Bug and leak fixes
  * Improved video scaling
  * On-the-fly visualisation switching
  * Subtitle support
  Bugs fixed since 0.10.2:
  * 330244 : gsttextoverlay.c:895: 'struct _GstCollectData' has no mem...
  * 324000 : [playbin] post error or message on unknown input
  * 153004 : [typefind] can't identify mp3 file with one single mpeg f...
  * 323874 : [playbin] leaks sinks and threads when using gconfaudiosink
  * 324626 : ffmpegcolorspace support for fourcc " UYVY "
  * 326447 : check that all elements in -base pass queries they can't ...
  * 328263 : Fix build with gcc 2.95
  * 328279 : [decodebin] timeout issue when pre-rolling
  * 329326 : Fix oggmux removing pads from collect pads
* Thu Feb 23 2006 - danw@suse.de
- remove dependency on gamin, which is no longer needed (related
  to #128037)
* Tue Feb 14 2006 - sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 0.10.2.
* Wed Jan 04 2006 - sbrabec@suse.cz
- Force-enabled unstable cdparanoia plugin.
* Wed Jan 04 2006 - sbrabec@suse.cz
- New SuSE package, version 0.10.1.
